EDIT - feature request #7637
feature request # 4719 (New): [MASTER] Implement IntextReference

Handle intext references in CDM light
08/08/2018 02:28 PM - Andreas Mller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

During cdm light export we may want to handle intext references correctly.
As a first step we simply should remove the tags (but not the text in the tags) to make them look correctly for publication.

Additional we should include related cdm instances (references, sources, taxa, names, keys, ...) to the according output so the
publication software can finally create links to the according instances if wanted.

The same could be done for other exports such as DwC-A so the mechanism should be generic.

Associated revisions

Revision 2d006ce7 - 08/08/2018 02:51 PM - Katja Luther

filter intext references in cdmlight export

History

#1 - 08/08/2018 02:57 PM - Katja Luther

the filter is implemented and is the default, with the configurator it is possible to configure, that needs to be implemented in taxeditor

#2 - 08/08/2018 02:57 PM - Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.2

#3 - 08/08/2018 03:39 PM - Andreas Miiller

- Status changed from New to In Progress

#4 - 08/17/2018 03:54 PM - Andreas Miuller

- Target version changed from Release 5.2 to Release 5.3

#5 - 09/06/2018 08:45 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#6 - 10/23/2018 10:59 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#7 - 02/19/2019 02:43 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#8 - 02/22/2019 10:05 AM - Katja Luther
- Priority changed from New to Highest

#9 - 02/22/2019 11:02 AM - Andreas Miiller

Do we really want to keep in 5.6. We wanted to work on intext references in 5.7.

#10 - 02/22/2019 11:03 AM - Katja Luther
- Target version changed from Release 5.6 to Release 5.7

Andreas Muller wrote:

Do we really want to keep in 5.6. We wanted to work on intext references in 5.7.

ups no, this should be moved to 5.7

#11 - 05/03/2019 04:51 PM - Katja Luther

- Target version changed from Release 5.7 to Release 5.8

#12 - 07/19/2019 03:06 PM - Andreas Miiller

- Target version changed from Release 5.8 to Release 5.10

#13 - 09/17/2019 03:02 PM - Katja Luther

- Target version changed from Release 5.10 to Release 5.11

#14 - 11/04/2019 12:25 PM - Andreas Miiller

- Target version changed from Release 5.11 to Release 5.12

#15 - 01/16/2020 01:12 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#16 - 02/24/2020 02:39 PM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.15

#17 - 04/22/2020 10:29 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

#18 - 12/04/2020 09:08 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#19 - 01/27/2021 04:46 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#20 - 03/11/2021 09:05 AM - Katja Luther

- Target version changed from Release 5.21 to Release 5.22

#21 - 04/19/2021 04:29 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46
